Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.util
Class ELUtils

    java.lang.Object
      org.ajax4jsf.util.ELUtils

    public final class ELUtils

extends java.lang.Object

Author:
  asmirnov

Method Summary
`static javax.el.ValueExpression` | `createValueExpression(java.lang.String expression)`
`static javax.el.ValueExpression` | `createValueExpression(java.lang.String expression, java.lang.Class<?> expectedType)`
`static java.lang.Object` | `evaluateValueExpression(javax.el.ValueExpression expression, javax.el.ELContext elContext)`
`static java.lang.Class<?>` | `getContainerClass(javax.faces.context.FacesContext facesContext, javax.el.ValueExpression expression)`
`static boolean` | `isValueReference(java.lang.String value)` Get EL-enabled value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isValueReference

    public static boolean isValueReference(java.lang.String value)

  Get EL-enabled value. Return same string, if not el-expression. Otherthise, return parsed and evaluated expression.

  Parameters:
    `context` - - current Faces Context.
    `value` - - string to parse.
  Returns:
    - interpreted el or unmodified value.

### evaluateValueExpression

    public static java.lang.Object evaluateValueExpression(javax.el.ValueExpression expression,
                                                           javax.el.ELContext elContext)

### createValueExpression

    public static javax.el.ValueExpression createValueExpression(java.lang.String expression)

### createValueExpression

    public static javax.el.ValueExpression createValueExpression(java.lang.String expression,
                                                                 java.lang.Class<?> expectedType)

### getContainerClass

    public static java.lang.Class<?> getContainerClass(javax.faces.context.FacesContext facesContext,
                                                       javax.el.ValueExpression expression)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.